#!/usr/bin/env node
import { Command } from 'commander';
import { E as EmmettPluginsConfig, a as EmmettError, b as EmmettPluginType, c as EmmettPlugin, d as EmmettCliPlugin } from './index-7wNEMFlg.js';

declare const sampleConfig: (plugins?: string[]) => string;
declare const generateConfigFile: (configPath: string, collectionNames: string[]) => void;
declare const configCommand: Command;

declare const importPluginsConfig: (options?: {
    configPath?: string | undefined;
}) => Promise<EmmettPluginsConfig | EmmettError>;
declare const loadPlugins: (options?: {
    pluginType?: EmmettPluginType;
    configPath?: string;
}) => Promise<EmmettPlugin[]>;
declare const registerCliPlugins: (program: Command, plugins: EmmettCliPlugin[]) => Promise<void>;

declare const program: Command;

export { configCommand, program as default, generateConfigFile, importPluginsConfig, loadPlugins, registerCliPlugins, sampleConfig };
